package eu.gaudian.translator.model

import kotlinx.serialization.Serializable

@Serializable
data class EtymologyStep(
    val year: String,
    val language: String,
    val description: String
)

@Serializable
data class RelatedWord(
    val language: String,
    val word: String
)

@Serializable
data class EtymologyData(
    val word: String,
    val timeline: List<EtymologyStep>,
    val relatedWords: List<RelatedWord>
)